#{extends 'border.html'/}
<div class="container">
#{form @admin.ProdukKategoriCtr.createSubmit(kid), method:'POST', class:'form-horizontal'}
    <input class="form-control" value="${produkKategoriPayload?.id}" type="hidden" name="produkKategoriPayload.id" />

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{admin.KomoditasCtr.index()}">&{'komoditas.label'}</a></li>
				<li><a href="@{admin.ProdukKategoriCtr.index(kid)}">&{'kategori_produk.label'}</a></li>
				<li class="active">${halaman}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton action:@admin.ProdukKategoriCtr.index(kid)/}
				#{saveButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>
	
    <div class="row">
    	<div class="col-md-12">
    		<div class="panel panel-default">
    			<div class="panel-body">
    				<ul class="nav nav-tabs" role="tablist">
				        <li role="presentation" class="active"><a href="#produk-kategori" aria-controls="produk-kategori" role="tab" data-toggle="tab">&{'form_produk_kategori.label'}</a></li>
				        <li role="presentation"><a href="#spesifikasi" aria-controls="spesifikasi" role="tab" data-toggle="tab">&{'deskripsi.label'}</a></li>
				    </ul>
				
				    <div class="tab-content">
				        <!-- Form Form Produk Kategori -->
				        <div role="tabpanel" class="tab-pane active" id="produk-kategori">
				            <div class="form-group required">
				                <label class="col-md-2 control-label">&{'nama_kategori.label'}</label>
				                <div class="col-md-4">
				                    <input class="form-control" value="${produkKategoriPayload?.name}" type="text" name="produkKategoriPayload.name" required/>
				                </div>
				            </div>
				            <div class="form-group required">
				                <label class="col-md-2 control-label">&{'tingkatan_kategori.label'}</label>
				                <div class="col-md-4">
				                    <select id="category" class="form-control" name="produkKategoriPayload.parent" required>
				                        <option value="0">&{'pilih.label'}</option>
										#{list results, as:'item'}
											<option value="${item.id}">${item.nama_kategori}</option>
											#{if !item.children.isEmpty()}
												#{list item.children, as:'levelOne'}
                                                    <option value="${levelOne.id}" >&nbsp;${levelOne.nama_kategori}</option>
													#{if !levelOne.children.isEmpty()}
														#{list levelOne.children, as:'levelTwo'}
                                                            <option value="${levelTwo.id}">&nbsp;&nbsp;${levelTwo.nama_kategori}</option>
															#{if !levelTwo.children.isEmpty()}
																#{list levelTwo.children, as:'levelThree'}
                                                                    <option value="${levelThree.id}">&nbsp;&nbsp;&nbsp;${levelThree.nama_kategori}</option>
																	#{if !levelThree.children.isEmpty()}
																		#{list levelThree.children, as:'levelFour'}
                                                                            <option value="${levelFour.id}" disabled>&nbsp;&nbsp;&nbsp;&nbsp;${levelFour.nama_kategori}</option>
																		#{/list}
																	#{/if}
																#{/list}
															#{/if}
														#{/list}
													#{/if}
												#{/list}
											#{/if}
										#{/list}
				                    </select>
				                </div>
				            </div>
				        </div>
				        <div id="spesifikasi" class="tab-pane">
				            <div class="form-group">
                                <textarea rows="10" name="produkKategoriPayload.description" id="description" class="form-control">${produkKategoriPayload?.description}</textarea>
							</div>
				        </div>
				    </div>
    			</div>
    		</div>
    	</div>
    </div>

#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    CKEDITOR.replace( 'description' );
	jQuery(document).ready(function() {
        var id = '${produkKategoriPayload.id}';
	    var parent = '${produkKategoriPayload.parent}';
	    jQuery("#category option[value='"+parent+"']").prop('selected', true);
        jQuery("#category option[value='"+id+"']").prop('disabled', true);
	});
</script>
#{/set}